package com.xinelu.common.enums;

import lombok.Getter;

@Getter
public enum PatientTypeEnum {

    /**
     * 预住院患者
     */
    PRE_HOSPITALIZED_PATIENT("PRE_HOSPITALIZED_PATIENT"),

    /**
     * 在院患者
     */
    IN_HOSPITAL_PATIENT("IN_HOSPITAL_PATIENT"),

    /**
     * 门诊患者
     */
    OUTPATIENT("OUTPATIENT"),

    /**
     * 出院患者
     */
    DISCHARGED_PATIENT("DISCHARGED_PATIENT"),
    ;

    final private String info;

    PatientTypeEnum(String info) {
        this.info = info;
    }
}